Bug 191549 - [patch] x11-wm/herbstluftwm strip binary, allow disable install of default configuration
Summary: [patch] x11-wm/herbstluftwm strip binary, allow disable install of default co...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Some People
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-02 06:53 UTC by Zsolt Udvari
Modified: 2014-08-15 10:48 UTC (History)
3 users (show)

See Also:


Attachments
The patch (2.13 KB, patch)
2014-07-02 06:53 UTC, Zsolt Udvari
no flags Details | Diff
Updated patch (2.22 KB, patch)
2014-07-20 16:59 UTC, Zsolt Udvari
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zsolt Udvari 2014-07-02 06:53:55 UTC
Created attachment 144331 [details]
The patch

x11-wm/herbstluftwm:
- strip binaries
- allow disable install of default configuration - so doesn't need shells/bash to run.
Comment 1 Tilman Keskinoz freebsd_committer 2014-07-02 12:33:06 UTC
You did not mention why you bumped PORTEPOCH, maybe you wanted to bump PORTREVISION?
Comment 2 Zsolt Udvari 2014-07-02 13:20:33 UTC
Ooops, yes, it's my fault. PORTREVISION bump is the correct. Sorry.
Comment 3 Zsolt Udvari 2014-07-18 14:30:52 UTC
Should I send a corrected patch? Or is there any other mistake/error in my patch?
Comment 4 John Marino freebsd_committer 2014-07-20 14:52:07 UTC
yes, send updated patch.

Make sure it also resets the maintainer to ports@FreeBSD.org or yourself.  I can't add "crshd@mail.com" to bugzilla and this maintainer has timeout out multiple consecutive times anyway so it's time to reset the port.
Comment 5 Zsolt Udvari 2014-07-20 16:59:08 UTC
Created attachment 144821 [details]
Updated patch

Updated patch:
- correct PORTEPOCH to PORTREVISION
- updated maintainer
Comment 6 John Marino freebsd_committer 2014-08-11 11:01:15 UTC
hmm, missed this one.  move to patch-ready.
Comment 7 commit-hook freebsd_committer 2014-08-15 10:47:53 UTC
A commit references this bug:

Author: marino
Date: Fri Aug 15 10:47:02 UTC 2014
New revision: 364959
URL: http://svnweb.freebsd.org/changeset/ports/364959

Log:
  x11-wm/herbsluftwm: Strip binary, allow disable install of default config

  This eliminates need for shells/bash as a run dependency.  Assign
  maintainership to submitter as well.

  PR:		191549
  Submitted by:	Zsolt Udvari
  Approved by:	maintainer timeout (2.5 months)

Changes:
  head/x11-wm/herbstluftwm/Makefile
  head/x11-wm/herbstluftwm/pkg-plist
Comment 8 John Marino freebsd_committer 2014-08-15 10:48:48 UTC
done, thanks!